<template>
<div class="carousel">
    <div class="left-button" @click="turnLeft">
        <i class="material-icons">arrow_left</i>
    </div>

    <CarouselCard
        v-for="item in items"
        :key="item.id"
        :title="item.title"
        :text="item.text"
        :order="item.order" />
    
    <div class="right-button" @click="turnRight">
        <i class="material-icons">arrow_right</i>
    </div>
</div>
</template>

<script>
import CarouselCard from './CarouselCard'
import api from '../js/api.js'

export default {
    name: 'Carousel',
    components: {
        CarouselCard
    },
    data: () => ({
        items: [
            {
                id: '0',
                title: 'Lord of the Rings',
                text: 'A three movie series',
                order: 1
            },
            {
                id: '1',
                title: 'Harry Potter',
                text: 'A series of wizard movies based on the books',
                order: 2
            },
            {
                id: '2',
                title: 'Pokemon the Movie',
                text: 'First super awesome pokemon movie!!',
                order: 3
            },
            {
                id: '3',
                title: 'The Highwaymen',
                text: 'Bonnie and Clyde epix',
                order: 4
            },
            {
                id: '4',
                title: 'Shawshank Redemption',
                text: 'Best movie ever according to some people',
                order: 5
            }
        ]
    }),
    methods: {
        turnLeft() {
            this.items = this.items.map((item) => {
                if (item.order === 1) {
                    item.order = 5;
                }
                else {
                    item.order --;
                }

                return item;
            });
        },
        turnRight() {
            this.items = this.items.map((item) => {
                if (item.order === 5) {
                    item.order = 1;
                }
                else {
                    item.order ++;
                }

                return item;
            });
        }
    },
    async created() {
        const results = await api.fetchMovies();
        console.log('results: ', results);
    }
}
</script>

<style scoped>
.carousel {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 100px;
}

.left-button {
    transform: translateX(-250px) scale(5);
}

.right-button {
    transform: translateX(250px) scale(5);
}

</style>
